
module "autoscaling-rule" {
  source = "terraform-aws-modules/autoscaling-rule/aws"
  version = "1.1.0"
  adjustment_type = var.adjustment_type
  adjustment_value = var.adjustment_value
  alarm_task_metric_name = var.alarm_task_metric_name
  alarm_task_metric_type = var.alarm_task_metric_type
  alarm_task_name = var.alarm_task_name
  alarm_task_setting = var.alarm_task_setting
  cooldown = var.cooldown
  create_alarm_task = var.create_alarm_task
  create_scheduled_task = var.create_scheduled_task
  create_simple_rule = var.create_simple_rule
  create_step_rule = var.create_step_rule
  create_target_tracking_rule = var.create_target_tracking_rule
  disable_scale_in = var.disable_scale_in
  enable_alarm_task = var.enable_alarm_task
  enable_scheduled_task = var.enable_scheduled_task
  estimated_instance_warmup = var.estimated_instance_warmup
  metric_name = var.metric_name
  profile = var.profile
  region = var.region
  scaling_group_id = var.scaling_group_id
  scaling_group_name_regex = var.scaling_group_name_regex
  scaling_rule_name = var.scaling_rule_name
  scheduled_task_name = var.scheduled_task_name
  scheduled_task_setting = var.scheduled_task_setting
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  step_adjustments = var.step_adjustments
  target_value = var.target_value
}
